/*
 * This file is part of the authRxbn eco-system.
 *
 * (c) Ruben Meyer <contact@rxbn.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

module.exports = {
	log: {
		directory: () => {
			return global['__dirname'] + "/logs/"
		},
		filename: () => {
			return (new Date()).toISOString().substr(0, 10) + ".log"
		}
	},
	web: {
		host: "auth.rxbn.de",
		port: 8080,
		poweredBy: 'authRXBN.js',
		sessionKey: require('crypto').randomBytes(32).toString('hex'),
		cookieKey: require('crypto').randomBytes(32).toString('hex'),
		registration: false, // false -> no registration
		cookieMaxAge: 1000*60*60 // one hour (milliseconds*seconds*minutes)
	},
	app: {
		locale: 'de-DE', // default locale (de-DE & en-EN should be available)
	},
	mongoose: {
		uri: process.env.DB_URL,
		db: process.env.DB_NAME
	}
};
